Subject: Re: [RFC][PATCH] initial port of fixmap over from x86 for ppc32

From: Benjamin Herrenschmidt <[email-masked]>
Date: Fri, 04 Apr 2008 08:45:47 +1100

On Thu, 2008-04-03 at 13:47 -0500, Hollis Blanchard wrote:
> 
> x86 virtualization implementations often needs a trampoline that's
> mapped into 
> both host and guest virtual address space, so that's part of what
> you're 
> seeing.
> 
> In general though, it can be very useful for the host to own a piece
> of the 
> guest's virtual address space. For example, the host could rewrite 
> problematic guest instructions to branch to host-optimized code which
> avoids 
> hypercalls. However, this is impossible unless the host knows it can 
> overwrite some portion of the guest's effective address space.
> 
> reserve_top_address() doesn't look complicated, so we might as well
> keep it ?

Agreed. In fact, using the top of the address space for that is a good
idea as you can do the branching there using absolute branch
instructions which is simpler.

Ben.